#include "colors.inc"  // The include files contain
#include "shapes.inc"  // pre-defined scene elements
#include "textures.inc"

camera {
  location  <0 2 -6>
  direction <0 0 1.5>
  up        <0 1 0>
  right     <1.33 0 0>
  look_at   <0 1 2>
}


object {
  sphere { <0 $radius$ 2> $radius$ }
  texture {color red $red$ blue $blue$ green $green$ phong .7 phong_size 40}
}

object { light_source { < 2 4 -3 > color White } }

object {
   plane {<0 1 0> 0 }
   texture {
    checker
     color Red
     color Blue

     rotate <0 $floor$ 0>
     translate <0 0 2>
   }
   no_shadow
}
